#ifndef SERIALCONFIG_H
#define SERIALCONFIG_H


#include <QDialog>
#include <QComboBox>
#include <QLabel>
#include <QFormLayout>
#include <QDialogButtonBox>
#include <QPushButton>

class SerialConfig : public QDialog {
    Q_OBJECT

public:
    SerialConfig(QWidget *parent = nullptr);

    QString getSerialPort() const;
    QString getBaudRate() const;
    QString getDataBits() const;
    QString getStopBits() const;
    QString getParity() const;
    void scanSerialPorts();

private slots:


private:
    QComboBox *serialPortComboBox;
    QComboBox *baudRateComboBox;
    QComboBox *dataBitsComboBox;
    QComboBox *stopBitsComboBox;
    QComboBox *parityComboBox;
};


#endif // SERIALCONFIG_H

